Method: searchQueries.setIamPolicy

Full name: projects.locations.instances.users.searchQueries.setIamPolicy

Sets the IAM access control policy on a specified resource.

The following resources are supported: * Native Dashboard * Search Queries (Saved Search)

In the members field within the bindings of the policy, only below principal formats are supported: * user:{emailid} for Google Account user * group:{emailid} for Google Group * principal://iam.googleapis.com/locations/global/workforcePools/POOL_ID/subject/SUBJECT_ATTRIBUTE_VALUE for Workforce Identity user * principalSet://iam.googleapis.com/locations/global/workforcePools/POOL_ID/group/GROUP_ID for Workforce Identity group

HTTP request

POST https://{endpoint}/v1alpha/{resource}:setIamPolicy

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
resource

string

REQUIRED: The resource for which the policy is being specified. See Resource names for the appropriate value for this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "policy": {
    object (Policy)
  },
  "updateMask": string
}
Fields
policy

object (Policy)

REQUIRED: The complete policy to be applied to the resource. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.

updateMask

string (FieldMask format)

OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used:

paths: "bindings, etag"

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Response body

If successful, the response body contains an instance of Policy.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permissions on the resource resource:

  • chronicle.nativeDashboards.setIamPolicy
  • chronicle.searchQueries.setIamPolicy

For more information, see the IAM documentation.